Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.model
Class Position

    java.lang.Object
      jrummikub.model.Position

    public class Position

extends java.lang.Object

`Stone` Position class to determine positions on `Table` or `Hand`

Constructor Summary
`Position(float x, float y)` Create a new position by specifying the coordinates

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`float` | `getX()` Get the x coordinate of the position
`float` | `getY()` Get the y coordinate of the position
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Position

    public Position(float x,
                    float y)

  Create a new position by specifying the coordinates

  Parameters:
    `x` - x coordinate
    `y` - y coordinate

Method Detail

### getX

    public float getX()

  Get the x coordinate of the position

  Returns:
    x coordinate

### getY

    public float getY()

  Get the y coordinate of the position

  Returns:
    y coordinate

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD